services:
  app:
    # Make sure to use the latest release from https://hedgedoc.org/latest-release
    image: quay.io/hedgedoc/hedgedoc:1.9.6
    # Needed for upload permissions
    user: "${UID}:${GID}"
    environment:
      - "CMD_DB_URL=postgres://hedgedoc:${AUTOVRTFM_PASSWORD}@database:5432/hedgedoc"
      - "CMD_DOMAIN=${HEDGEDOC_DOMAIN}"
      - "CMD_URL_ADDPORT=true"
      - "CMD_PORT=${HEDGEDOC_PORT}"
      - "CMD_CSP_ENABLE=false"
      - "CMD_ALLOW_FREEURL=true"
      - "CMD_CONFIG_FILE=/files/config.json"
    volumes:
      - "${HEDGEDOC_UPLOADS}:/hedgedoc/public/uploads"
      - "${HEDGEDOC_CERTS}:/certs/"
      - "${HEDGEDOC_CONFIG}:/files/config.json"
    ports:
      - "${HEDGEDOC_BIND}:${HEDGEDOC_PORT}"
    depends_on:
      - database

  database:
    image: postgres:latest
    # Needed for database file permissions
    user: "${UID}:${GID}"
    environment:
      - "POSTGRES_USER=hedgedoc"
      - "POSTGRES_PASSWORD=${AUTOVRTFM_PASSWORD}"
      - "POSTGRES_DB=hedgedoc"
    volumes:
      - "${HEDGEDOC_DATA}:/var/lib/postgresql/data"
